appointment/urls.py
from django.urls import path
from .views import *

app_name = 'appointment'
urlpatterns = [
	path('read_appointment', readappointment, name='read_appointment'),
    path('read_appointment/<str:nik_pasien>/<str:nostr>/<str:username_dokter>/<str:kode_faskes>/<str:praktek_shift>/<str:praktek_tgl>', deleteappointment, name='delete_appointment'),
]

dashboard/urls.py
from django.urls import path
from .views import *

app_name = 'dashboard'
urlpatterns = [
	path('dashboard', dashboard, name='dashboard')
]

jadwaldokter/urls.py
from django.urls import path
from .views import *

app_name = 'jadwaldokter'
urlpatterns = [
	path('read_jadwaldokter', readjadwaldokter, name='read_jadwaldokter'),
]

login/urls.py
from django.urls import path
from .views import *

app_name = 'login'
urlpatterns = [
	path('register_admin', register_admin, name='register_admin'),
	path('register_penggunapublik',register_penggunapublik, name='register_penggunapublik'),
    path('register_dokter',register_dokter, name='register_dokter'),
    path('register_adminsatgas',register_adminsatgas, name='register_adminsatgas'),
    path('login_user', login_user, name='login_user'),
    path('logout_user', logout_user, name='logout_user')
]

ruanganbedRS/urls.py
from django.urls import path
from .views import *

app_name = 'ruanganbedRS'
urlpatterns = [
    path('read_ruanganRS', readruanganRS, name='read_ruanganRS'),
	path('read_bedRS', readbedRS, name='read_bedRS'),
    path('read_bedRS/<str:koders>/<str:koderuangan>/<str:kodebed>', deletebedRS, name='delete_bedRS'),
]

siruco/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('', include('login.urls')),
    path('', include('dashboard.urls')),
    path('', include('CRUDpasien.urls')),
    path('', include('CRUDpaketmakan.urls')),
    path('', include('CRUhotel.urls')),
    path('', include('rumah_sakit.urls')),
    path('', include('transaksi.urls')),
    path('', include('faskes.urls')),
    path('', include('appointment.urls')),
    path('', include('jadwaldokter.urls')),
    path('', include('ruanganbedRS.urls')),
]

dashboard/models.py
from django.db import models

# Create your models here.

dashboard/views.py
from django.shortcuts import render
from django.db import connection
from collections import namedtuple
from django.http import HttpResponseRedirect
from django.urls import reverse

# Create your views here.
def namedtuplefetchall(cursor):
    "Return all rows from a cursor as a namedtuple"
    desc = cursor.description
    nt_result = namedtuple('Result', [col[0] for col in desc])
    return [nt_result(*row) for row in cursor.fetchall()]

def dashboard(request):
    if 'username' not in request.session:
        return HttpResponseRedirect('/login_user')
    username = request.session['username']
    role= request.session['role']
    cursor_p = connection.cursor()

    select = "SELECT * FROM SIRUCO.AKUN_PENGGUNA WHERE username='"+username+"';"
    cursor_p.execute(select)
    data = namedtuplefetchall(cursor_p)
    general_data = data[0]

    if role == 'pengguna_publik':
        select="SELECT * FROM SIRUCO.PENGGUNA_PUBLIK WHERE username='"+username+"';"
        cursor_p.execute(select)
        data= namedtuplefetchall(cursor_p)
        data_pengguna_publik = data[0]
        return render(request,'dashboard_pengguna_publik.html',{'general_data':general_data,
        'data_pengguna_publik':data_pengguna_publik})

    elif role =='admin':
        select="SELECT * FROM SIRUCO.ADMIN WHERE username='"+username+"';"
        cursor_p.execute(select)
        data  = namedtuplefetchall(cursor_p)
        data_admin = data[0]
        return render(request,'dashboard_admin.html',{'general_data':general_data,'data_admin':data_admin})

    if role == 'pengguna_publik':
        select="SELECT * FROM SIRUCO.PENGGUNA_PUBLIK WHERE username='"+username+"';"
        cursor_p.execute(select)
        data= namedtuplefetchall(cursor_p)
        data_pengguna_publik = data[0]
        return render(request,'dashboard_pengguna_publik.html',{'general_data':general_data,
        'data_pengguna_publik':data_pengguna_publik})

    elif role == 'dokter':
        select="SELECT * FROM SIRUCO.DOKTER WHERE username='"+username+"';"
        cursor_p.execute(select)
        data  = namedtuplefetchall(cursor_p)
        data_dokter = data[0]
        return render(request,'dashboard_dokter.html',{'general_data':general_data,'data_dokter':data_dokter})

    elif role == 'admin_satgas':
        select="SELECT * FROM SIRUCO.ADMIN_SATGAS WHERE username='"+username+"';"
        cursor_p.execute(select)
        data  = namedtuplefetchall(cursor_p)
        data_admin_satgas = data[0]
        return render(request,'dashboard_adminsatgas.html',{'general_data':general_data,'data_admin_satgas':data_admin_satgas})

dashboard/templates/dashboard_admin.html
<div id="myTabContent" class="tab-content">
    <div class="tab-pane active in" id="home">
        <form class="form-group" id="tab">
            <div style="margin-top:100px;">
                <label>Username</label>
                <input type="text" value="{{general_data.username}}" class="input-xlarge" disabled>
                <div class="text-center text-sm-right"></div>
                <label>Role</label>
                <input type="text" value="Admin" class="input-xlarge" disabled>
                <label>Password</label>
                <input type="text" value="{{general_data.password}}" class="input-xlarge" disabled>
            </div>
    </div>
    </form>
    <a href="/logout_user" class="option">Logout</a>
</div>

{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Optional JavaScript -->
      <!-- jQuery first, then Popper.js, then Bootstrap JS -->
      <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
      <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
      
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'dashboard/style.css' %}">
    
  </head>
  <body>
    <div class="fixed-top" style="background: rgb(14, 18, 31);">
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color:rgb(69, 76, 95);">
        <a class="fa fa-strikethrough" style="font-size:40px;color: rgb(238, 234, 235);"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="#" style="margin-left:0px;margin-right:0px;font-size: 20px;color:black">PROFIL</a>
              </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Hotel
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                  <a class="dropdown-item" href="/create_hotel" style="font-size:20px;">Buat Hotel</a>
                  <a class="dropdown-item" href="/list_hotel" style="font-size:20px;">List Hotel</a>
                  <a class="dropdown-item" href="#" style="font-size:20px;">Buat Ruangan Hotel</a>
                  <a class="dropdown-item" href="#" style="font-size:20px;">List Ruangan Hotel</a>
                  <a class="dropdown-item" href="/create_paket_makan" style="font-size:20px;">Buat Paket Makan</a>
                  <a class="dropdown-item" href="/list_paket_makan" style="font-size:20px;">List Paket Makan</a>
                </div>
              </li>
          </ul>
            <ul class="nav navbar-nav ml-auto">
            <li class="nav-item dropdown ml-auto" style="float:right;">
              <a class="nav-link dropdown-toggle" style="font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Hi,Admin {{general_data.username}}!
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="/logout_user" style="margin-left:0px;margin-right:0px;font-size: 20px;">Logout</a>
              </div>
            </li>
            </ul>
        </div>
      </nav>
    </div>
    {% block content %}

{% endblock %}
    </body>
    </html>

dashboard/templates/dashboard_adminsatgas.html
<div id="myTabContent" class="tab-content">
  <div class="tab-pane active in" id="home">
      <form class="form-group" id="tab">
          <div style="margin-top:100px;">
              <label>Username</label>
              <input type="text" value="{{general_data.username}}" class="input-xlarge" disabled>
              <div class="text-center text-sm-right"></div>
              <label>Role</label>
              <input type="text" value="Admin Satgas" class="input-xlarge" disabled>
              <label>Password</label>
              <input type="text" value="{{general_data.password}}" class="input-xlarge" disabled>
              <label>ID Faskes</label>
              <input type="text" value="{{data_admin_satgas.idfaskes}}" class="input-xlarge" disabled>

          </div>
  </div>
  </form>
  <a href="/logout_user" class="option">Logout</a>
</div>

{% load static %}
<!doctype html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'dashboard/style.css' %}">
  
</head>
<body>
  <div class="fixed-top" style="background: rgb(14, 18, 31);">
  <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color:rgb(69, 76, 95);">
      <a class="fa fa-strikethrough" style="font-size:40px;color: rgb(238, 234, 235);"></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
              <a class="nav-link" href="#" style="margin-left:0px;margin-right:0px;font-size: 20px;color:black">PROFIL</a>
            </li>
          <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Pasien
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="#" style="font-size:20px;">Buat Appointment</a>
                <a class="dropdown-item" href="{% url 'appointment:read_appointment' %}" style="font-size:20px;">List Appointment</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">List Hasil Tes Pasien</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Faskes
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="/#" style="font-size:20px;">Buat Faskes</a>
                <a class="dropdown-item" href="list_faskes" style="font-size:20px;">List Faskes</a>
                <a class="dropdown-item" href="/buat_jadwal" style="font-size:20px;">Buat Jadwal Faskes</a>
                <a class="dropdown-item" href="/list_jadwal" style="font-size:20px;">List Jadwal Faskes</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Rumah Sakit
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="/create_rs" style="font-size:20px;">Buat RS</a>
                <a class="dropdown-item" href="/list_rs" style="font-size:20px;">List RS</a>
                <a class="dropdown-item" href="{% url 'jadwaldokter:read_jadwaldokter' %}" style="font-size:20px;">List Jadwal Dokter</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">Buat Ruangan RS</a>
                <a class="dropdown-item" href="{% url 'ruanganbedRS:read_ruanganRS' %}" style="font-size:20px;">List Ruangan RS</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">Buat Bed RS</a>
                <a class="dropdown-item" href="{% url 'ruanganbedRS:read_bedRS' %}" style="font-size:20px;">List Bed RS</a>
                <a class="dropdown-item" href="/reservasi_rs" style="font-size:20px;">Buat Reservasi RS</a>
                <a class="dropdown-item" href="/list_reservasi_rs" style="font-size:20px;">List Reservasi RS</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Hotel
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="/list_hotel" style="font-size:20px;">List Hotel</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">List Ruangan Hotel</a>
                <a class="dropdown-item" href="/list_paket_makan" style="font-size:20px;">List Paket Makan</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">Buat Reservasi Hotel</a>
                <a class="dropdown-item" href="#" style="font-size:20px;">List Reservasi Hotel</a>
              </div>
            </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Transaksi
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
              <a class="dropdown-item" href="/list_transaksi_rs" style="font-size:20px;">List Transaksi RS</a>
              <a class="dropdown-item" href="#" style="font-size:20px;">List Transaksi Hotel</a>
              <a class="dropdown-item" href="#" style="font-size:20px;">List Transaksi Booking Hotel</a>
              <a class="dropdown-item" href="#" style="font-size:20px;">Buat Transaksi Makan dan Daftar Pesan</a>
              <a class="dropdown-item" href="#" style="font-size:20px;">List Transaksi Makan dan Daftar Pesan</a>
            </div>
          </li>
        </ul>
          <ul class="nav navbar-nav ml-auto">
          <li class="nav-item dropdown ml-auto" style="float:right;">
            <a class="nav-link dropdown-toggle" style="font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Hi, Admin Satgas {{general_data.username}}!
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
              <a class="dropdown-item" href="/logout_user" style="margin-left:0px;margin-right:0px;font-size: 20px;">Logout</a>
            </div>
          </li>
          </ul>
      </div>
    </nav>
  </body>
  </html>

dashboard/templates/dashboard_dokter.html
<div id="myTabContent" class="tab-content">
    <div class="tab-pane active in" id="home">
        <form class="form-group" id="tab">
            <div style="margin-top:100px;">
                <label>Username</label>
                <input type="text" value="{{general_data.username}}" class="input-xlarge" disabled>
                <div class="text-center text-sm-right"></div>
                <label>Role</label>
                <input type="text" value="Dokter" class="input-xlarge" disabled>
                <label>NoSTR</label>
                <input type="text" value="{{data_dokter.nostr}}" class="input-xlarge" disabled>
                <label>Nama</label>
                <input type="text" value="{{data_dokter.nama}}" class="input-xlarge" disabled>
                <label>No HP</label>
                <input type="text" value="{{data_dokter.nohp}}" class="input-xlarge" disabled>
                <label>Gelar Depan</label>
                <input type="text" value="{{data_dokter.gelardepan}}" class="input-xlarge" disabled>
                <label>Gelar Belakang</label>
                <input type="text" value="{{data_dokter.gelarbelakang}}" class="input-xlarge" disabled>
                <label>Password</label>
                <input type="text" value="{{general_data.password}}" class="input-xlarge" disabled>
            </div>
    </div>
    </form>
    <a href="/logout_user" class="option">Logout</a>
</div>

{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Optional JavaScript -->
      <!-- jQuery first, then Popper.js, then Bootstrap JS -->
      <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
      <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
      
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'dashboard/style.css' %}">
    
  </head>
  <body>
    <div class="fixed-top" style="background: rgb(14, 18, 31);">
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color:rgb(69, 76, 95);">
        <a class="fa fa-strikethrough" style="font-size:40px;color: rgb(238, 234, 235);"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="#" style="margin-left:0px;margin-right:0px;font-size: 20px;color:black">PROFIL</a>
              </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Pasien
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                  <a class="dropdown-item" href="{% url 'appointment:read_appointment' %}" style="font-size:20px;">List Appointment</a>
                  <a class="dropdown-item" href="#" style="font-size:20px;">Buat Hasil Tes Pasien</a>
                  <a class="dropdown-item" href="#" style="font-size:20px;">List Hasil Tes Pasien</a>
                </div>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Rumah Sakit
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                  <a class="dropdown-item" href="#" style="font-size:20px;">Buat Jadwal Dokter</a>
                  <a class="dropdown-item" href="{% url 'jadwaldokter:read_jadwaldokter' %}" style="font-size:20px;">List Jadwal Dokter</a>
                </div>
              </li>
          </ul>
            <ul class="nav navbar-nav ml-auto">
            <li class="nav-item dropdown ml-auto" style="float:right;">
              <a class="nav-link dropdown-toggle" style="font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Hi, Dokter {{data_dokter.nama}}!
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="/logout_user" style="margin-left:0px;margin-right:0px;font-size: 20px;">Logout</a>
              </div>
            </li>
            </ul>
        </div>
      </nav>
    </body>
    </html>